#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    char c1;
    char c2;

    scanf("%c",&c1);
    scanf("%c",&c2);

    int a1;
    int a2;

    scanf("%i",&a1);
    scanf("%i",&a2);

    if(abs(a1 - a2) > 1){
        printf("nemoguce");
    }

    else
    {

        if(a1 == a2){
            for(int i = 0; i < a1; i++){
                printf("%c",c1);
                printf("%c",c2);
            }

        if(a1 > a2){

            printf("%c",c1);

            for(int i = 0; i < a2; i++){
                printf("%c",c2);
                printf("%c",c1);
            }
        }

        if(a2 > a1){
            printf("%c",c2);

            for(int i = 0; i < a1; i++){
                printf("%c",c1);
                printf("%c",c2);
            }
        }

        }
    }

    return 0;
}